# $Revision: 1.35 $, $Date: 2007-02-13 07:47:12 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	RefMunger
Summary:	HTML::RefMunger - mangle HREF links within HTML files
Summary(pl.UTF-8):	HTML::RefMunger - podmienianie odnośników HREF w plikach HTML 
Name:		perl-HTML-RefMunger
Version:	0.01
Release:	10
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9dbaf3b7a2c8d3115695485392c3f729
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-HTML-Parser
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::RefMunger is a module that will parse HTML files for HREF and IMG
tags and munge the links within them to suit various file naming
conventions. Supported formats for conversion are:
- MacOS - 32 character limit,
- MS-DOS - 8.3 character limit,
- UNIX - Some older UNIX platforms have a 14-character limit.

%description -l pl.UTF-8
HTML::RefMunger jest modułem, który wyszukuje w plikach HTML znaczniki
HREF i IMG i przekształca zawarte w nich odnośniki tak, by pasowały do
określonych konwencji nazewnictwa. Wspierane formaty konwersji to:
- MacOS - do 32 znaków,
- MS-DOS - format 8.3,
- UNIX - niektóre starsze platformy zezwalają na nie więcej niż
  14-znakowe nazwy plików.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} \
	install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/refmunger
%{perl_vendorlib}/HTML/RefMunger.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-RefMunger.spec,v $
Revision 1.35  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.33  2004/11/03 22:30:25  paladine
- formatting

Revision 1.32  2004/05/07 00:59:46  ankry
- rel. 10

Revision 1.31  2004/05/06 18:09:41  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/25 00:50:55  ankry
- cosmetics: unification

Revision 1.29  2004/04/22 10:52:19  ankry
- summary

Revision 1.27  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:40  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:33:03  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/11/26 00:14:04  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.18  2002/07/10 08:47:32  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:50  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:15:54  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:27:20  depesz
adapterized

Revision 1.12  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:10:20  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/08 19:56:41  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 18:42:13  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/01 21:51:12  pius
- initial release
